As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 720157 - Crash [@ nsGenericHTMLFrameElement::OnLocationChange]
: Crash [@ nsGenericHTMLFrameElement::OnLocationChange]
Status: VERIFIED FIXED
[qa!]
: crash, testcase
Product: Core
Classification: Components
Component: Document Navigation (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: mozilla12
Assigned To: Justin Lebar (not reading bugmail)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 594645 710231 740836
  Show dependency treegraph
 
Reported: 2012-01-21 12:33 PST by Jesse Ruderman
Modified: 2012-05-20 10:42 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
testcase (must be local) (crashes Firefox when loaded) (364 bytes, text/html)
2012-01-21 12:33 PST, Jesse Ruderman
no flags Details
stack trace (5.29 KB, text/plain)
2012-01-21 12:33 PST, Jesse Ruderman
no flags Details
Patch v1 (4.48 KB, patch)
2012-01-22 12:05 PST, Justin Lebar (not reading bugmail)
bugs: review+
Details | Diff | Splinter Review

Description User image Jesse Ruderman 2012-01-21 12:33:04 PST
Created attachment 590505 [details]
testcase (must be local) (crashes Firefox when loaded)
Comment 1 User image Jesse Ruderman 2012-01-21 12:33:23 PST
Created attachment 590506 [details]
stack trace
Comment 2 User image Justin Lebar (not reading bugmail) 2012-01-22 10:54:16 PST
This is likely my bug.
Comment 3 User image Justin Lebar (not reading bugmail) 2012-01-22 10:55:37 PST
What the heck does a null URI in nsIWebProgressObserver::OnLocationChange mean?
Comment 4 User image Justin Lebar (not reading bugmail) 2012-01-22 11:06:56 PST
Apparently a null URI means "data: URI".  Lame!
Comment 5 User image Justin Lebar (not reading bugmail) 2012-01-22 11:28:52 PST
Actually, it seems to mean "error page," which is a bit more reasonable.
Comment 6 User image Justin Lebar (not reading bugmail) 2012-01-22 12:05:49 PST
Created attachment 590580 [details] [diff] [review]
Patch v1

I tried to add a test for this crash, but I couldn't get it to work, presumably because the testcase must be local.
Comment 7 User image Olli Pettay [:smaug] (review request backlog because of a work week) 2012-01-22 12:38:54 PST
Comment on attachment 590580 [details] [diff] [review]
Patch v1

I'd prefer 
if (!aURI) {
  return NS_OK;
}
Comment 8 User image Justin Lebar (not reading bugmail) 2012-01-22 12:47:55 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/10c3bb782aff
Comment 9 User image Phil Ringnalda (:philor) 2012-01-22 18:14:03 PST
https://hg.mozilla.org/mozilla-central/rev/10c3bb782aff
Comment 10 User image Vlad [QA] 2012-04-03 00:12:02 PDT
I 've loaded the testcase from the attachement and I get a square with "1" number inside it and after ~2 seconds I get an 404 Error - invalid bug ID/
If I hit back, the square is displayed.

Firefox didn't crash.
Can I change the resolution to Verified Fixed?
Thanks
Comment 11 User image Jesse Ruderman 2012-04-03 00:46:52 PDT
Vlad, please test with the testcase local rather than loading it from Bugzilla. (Right-click the testcase link and save it to your desktop, then open it from your desktop.)
Comment 12 User image Vlad [QA] 2012-04-03 04:30:09 PDT
I've opened the testcase from the desktop and the behavior is the same as per comment10. I'm getting the same 404 error but this time locally. 

No crash though on:
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:12.0) Gecko/20100101 Firefox/12.0 beta 3
Comment 13 User image Jesse Ruderman 2012-04-03 11:16:16 PDT
Vlad, sounds good :)
Comment 14 User image Vlad [QA] 2012-04-03 23:38:21 PDT
Considering comment12 and comment13, setting resolution to Verified Fixed on Firefox 12.

Note You need to log in before you can comment on or make changes to this bug.